scrnamebl=$(cd ${0%/*} && echo $PWD/${0##*/})
scrname=$(readlink -f $scrnamebl);
tpath=`dirname "$scrname"`
dserv32="http://download.nullsoft.com/shoutcast/tools/sc_serv2_linux_07_31_2011.tar.gz";
dserv64="http://download.nullsoft.com/shoutcast/tools/sc_serv2_linux_x64_07_31_2011.tar.gz";
dtrans32="http://download.nullsoft.com/shoutcast/tools/sc_trans_linux_10_07_2011.tar.gz";
dtrans64="http://download.nullsoft.com/shoutcast/tools/sc_trans_linux_x64_10_07_2011.tar.gz";
dserv=$dserv32;
dtrans=$dtrans32;

cd $tpath
echo "";
echo "";
echo "";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "#*#* Hello and welcome to thinktink's          *#*#*#";
echo "#*#* SHOUTcast2 tools setup and installer      *#*#*#";
echo "#*#* shell script for Linux operating systems! *#*#*#";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "#*#* Please read all questions carefully       *#*#*#";
echo "#*#* so that this script can make as easy as   *#*#*#";
echo "#*#* possible your installation.   Enjoy!      *#*#*#";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "";

trap trapc INT
function trapc()
{
	echo "abort=abort" >> "$tpath/installsc.dat";
	echo "";
	exit;
}

if [ -f "$tpath/stop.sh" ]
then
	while [ "$oldremove" != "1" -a "$oldremove" != "0" ]
	do
		echo "A previouse install appears to exist.  Would you like it removed?";
		echo "This script cannot proceed with a pre-existing install.";
		echo -n "Enter 1 to remove the other install or 0 to abort (default: [none])";
		read -e oldremove;
		if [ "$oldremove" != "1" -a "$oldremove" != "0" ]
		then
			echo "----------ERROR!--------- You have entered an unrecognized response";
			echo "";
		fi
	done
	if [ "$oldremove" != "1" ]
	then
		exit;
	else
#-----------------------------------------
sffp="$tpath/stop.sh";
if [ ! -f $sffp ]
then
	echo "No file.";
	exit;
fi
./stop.sh
sflf=$(readlink -f $sffp);
installpath=`dirname "$sflf"`;
echo $installpath;
rm "$tpath/start.sh"
rm "$tpath/stop.sh"
if [ -f "$tpath/installsc.dat" ]
then
	rm "$tpath/installsc.dat"
fi
cd $installpath
rm -R *
cd ..
rmdir $installpath
cd "$tpath"
#-----------------------------------------
	fi
	echo "";
fi

function testport()
{
	t=$(netstat -tnl | grep -w $1);
	if [ "$t" != "" ]
	then
		echo $t;
		return 1;
	else
		return 0;
	fi
}
oswordsize="none";
while [ "$oswordsize" == "none" ]
do
	echo "Which Operating System word size would you like tools downloaded for?";
	echo "(Selecting incompatible tools word size for your operating system will likely be the cause of most problems.  Please select carefully!)";
	echo -n "(enter 32 for 32bit or 64 for 64bit. (default: [32bit])) ";
	read -e oswordsize;
	echo "";
	if [ "$oswordsize" == "" ]
	then
		oswordsize="32";
	fi
	if [ "$oswordsize" != "32" ]
	then
		if [ "$oswordsize" != "64" ]
		then
			oswordsize="none";
			echo "You have entered an invalid response.  Please enter 32 (or nothing) or 64.";
			continue;
		fi
	fi
done
echo "oswordsize=$oswordsize" >> "$tpath/installsc.dat";
if [ "$oswordsize" == "64" ]
then
	dserv=$dserv64;
	dtrans=$dtrans64;
fi


echo "If you already have an authhash for listing on the YP Directory enter it now.";
echo -n "(default: [none])";
read -e authhash;
echo "";
echo "authhash=$authhash" > "$tpath/installsc.dat";
echo "Would you like to be listed on the SHOUTcast v2 directory?";
echo -n "(enter 0 for No or 1 or blank for Yes)";
read -e public;
if [ "$public" == "" ]
then
	public=1;
fi
if [ "$public" == "1" ]
then
	public=1;
fi
if [ "$public" == "0" ]
then
	public=0;
fi
echo "";
echo "public=$public" >> "$tpath/installsc.dat";
echo -n "Enter your MP3 unlock name (default: [none])";
read -e mpegunlockname;
if [ "$mpegunlockname" != "" ]
then
	echo "";
	echo -n "Enter your MP3 unlock code (default: [none])";
	read -e mpegunlockcode;
	if [ "$mpegunlockcode" != "" ]
	then
		mpegunlock=1;
	else
		mpegunlock=0;
	fi
else
	mpegunlock=0;
fi
if [ $mpegunlock == 0 ]
then
	echo "Since not all the information for unlocking MP3 transcoding was provided, MP3 will not work and therefore not configured.  You will be configured for AAC+ Transcoding instead.";
fi
echo "mpegunlockname=$mpegunlockname" >> "$tpath/installsc.dat";
echo "mpegunlockcode=$mpegunlockcode" >> "$tpath/installsc.dat";
echo "";
echo "Enter the subdirectory (relative to this script) to install the SHOUTcast v2 tools into";
echo -n "(default: sc2)";
read -e installdir;
if [ "$installdir" == "" ]
then
	installdir="sc2";
fi
installpath="$tpath/$installdir";
echo "The tools will be installed into '$installpath'.";
echo "installpath=$installpath" >> "$tpath/installsc.dat";
echo "";
echo -n "Enter the stream title (default: Unnamed Server)";
read -e streamtitle;
if [ "$streamtitle" == "" ]
then
	streamtitle="Unnamed Server";
fi
echo "streamtitle=$streamtitle" >> "$tpath/installsc.dat";
echo "";
echo -n "Enter the stream webpage URL (default: http://www.shoutcast.com/)";
read -e streamurl;
if [ "$streamurl" == "" ]
then
	streamurl="http://www.shoutcast.com/";
fi
echo "streamurl=$streamurl" >> "$tpath/installsc.dat";
echo "";
echo -n "Enter the stream genre (default: Misc)";
read -e genre;
if [ "$genre" == "" ]
then
	genre="Misc";
fi
echo "genre=$genre" >> "$tpath/installsc.dat";
echo "";
while [ "$portbase" == "" ]
do
	echo -n "Enter the port base (default: 8000)";
	read -e portbase;
	if [ "$portbase" == "" ]
	then
		portbase="8000";
	fi
	testport $portbase;
	if [ "$?" == "1" ]
	then
		echo "----------ERROR!--------- Port $portbase appears to be in use!";
		echo "";
		portbase="";
		continue;
	fi
	portbase1=`expr $portbase + 1`;
	testport "$portbase1";
	if [ "$?" == "1" ]
	then
		echo "----------ERROR!--------- Port $portbase+1 appears to be in use!";
		echo "";
		portbase="";
		continue;
	fi
done
echo "portbase=$portbase" >> "$tpath/installsc.dat";
if [ "$authhash" == "" ]
then
	echo "";
	echo "If you wish to publically list on the SHOUTcast YP Directory you";
	echo "will need to configure them from your DNAS administration pages.";
	echo "You can access those pages by typing the following URL from the";
	echo "same computer you are running this script on:";
	echo "http://127.0.0.1:$portbase/index.html";
fi
echo "";
while [ "$transadminport" == "" ]
do
	echo -n "Enter the Transcoder administration port (default: 0)";
	read -e transadminport;
	if [ "$transadminport" == "" ]
	then
		transadminport="0";
		break;
	fi
	testport $transadminport;
	if [ "$?" == "1" ]
	then
		echo "----------ERROR!--------- Port $transadminport appears to be in use!";
		echo "";
		transadminport="";
		continue;
	fi
done
echo "transadminport=$transadminport" >> "$tpath/installsc.dat";
password="";
adminpassword="";
while [ "$password" == "$adminpassword" ]
do
	while [ "$password" == "" ]
	do
		echo "";
		echo -n "Enter the source connection password (default: [none])";
		read -e password;
		if [ "$password" == "" ]
		then
			echo "----------ERROR!--------- The source connection password cannot be blank!";
		fi
	done
	while [ "$adminpassword" == "" ]
	do
		echo "";
		echo "Note: This password must be different from the source password.";
		echo -n "Enter the administration password (default: [none])";
		read -e adminpassword;
		if [ "$adminpassword" == "" ]
		then
			echo "----------ERROR!--------- The administration password cannot be blank!";
		fi
	done
	if [ "$password" == "$adminpassword" ]
	then
		echo "----------ERROR!--------- The source connection password and the administration password cannot be the same!";
		echo "----------ERROR!--------- You will now be re-prompted for both passwords";
		password="";
		adminpassword="";
	fi
done
echo "password=$password" >> "$tpath/installsc.dat";
echo "adminpassword=$adminpassword" >> "$tpath/installsc.dat";
echo "";
echo -n "Enter the maximum simultaniouse listening clients (default: 5)";
read -e maxlisteners;
if [ "$maxlisteners" == "" ]
then
	maxlisteners=5;
fi
echo "maxlisteners=$maxlisteners" >> "$tpath/installsc.dat";
echo "";
echo "Please note:";
echo "The next 2 questions that follow are about DJ ports."
echo "Certain version of the Transcoder cannot handle both";
echo "legacy DJ ports and v2 DJ ports simultaniously.  It";
echo "is highly recommended that you do not set both.  If";
echo "you do not know what DJ ports are or you intend never";
echo "to use them then leave both disabled.  You can;"
echo "reconfigure them in the sc_trans.conf file later on";
echo "shoult you change your mind.  Please refer to the";
echo "documentation that comes with the Transcoder for";
echo "details."
echo "";
while [ "$dj2port" == "" ]
do
	echo -n "Enter the v2 DJ port (default: (disabled)0)";
	read -e dj2port;
	if [ "$dj2port" == "" ]
	then
		dj2port="0";
		break;
	fi
	testport $dj2port;
	if [ "$?" == "1" ]
	then
		echo "----------ERROR!--------- Port $dj2port appears to be in use!";
		echo "";
		dj2port="";
		continue;
	fi
done
echo "dj2port=$dj2port" >> "$tpath/installsc.dat";
echo "";
while [ "$djport" == "" ]
do
	echo -n "Enter the legacy DJ port (default: (disabled)0)";
	read -e djport;
	if [ "$djport" == "" ]
	then
		djport="0";
		break;
	fi
	djport1=`expr $djport + 1`;
	testport $djport1;
	if [ "$?" == "1" ]
	then
		echo "----------ERROR!--------- Port $djport+1 appears to be in use!";
		echo "";
		djport="";
		continue;
	fi
done
echo "djport=$djport" >> "$tpath/installsc.dat";
while [ "$djname" == "" -o "$djpassword" == "" ]
do
	echo "";
	echo -n "Enter the name of the first DJ (default: [none] leave blank to skip)";
	read -e djname;
	if [ "$djname" != "" ]
	then
		echo "";
		echo -n "Enter the password of the first DJ (default: [same as source connection password])";
		read -e djpassword;
		if [ "$djpassword" == "" ]
		then
			djpassword=$password;
		fi
	else
		break;
	fi
done
echo "djname=$djname" >> "$tpath/installsc.dat";
echo "djpassword=$djpassword" >> "$tpath/installsc.dat";
while  [ "$FIRSTLINE" == "" ]
do
	while [ "$musicfilespath" == "" ]
	do
		echo "";
		echo -n "Enter the relative or absolute path to where your music is stored (default: [none] leave blank to skip)";
		read -e musicfilespath;
		if [ "$musicfilespath" == "" ]
		then
			break;
		fi
		if [ ! -d "$musicfilespath" ]
		then
			echo "Path '$musicfilespath' does not exist; please try again.";
			musicfilespath="";
			continue;
		else
			musicfilespath="`cd \"$musicfilespath\"; pwd`";
			break;
		fi
		if [ -f "$musicfilespath" ]
		then
			"'$musicfilespath' is a file and not a directory; please try again.";
			musicfilespath="";
			continue;
		fi
	done
	if [ "$musicfilespath" == "" ]
	then
		break;
	fi
	
	echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*# Searching for your music.                 #*#*#";
	echo "#*#*# This operation can take a while depending #*#*#";
	echo "#*#*# on where you specified your search.       #*#*#";
	echo "#*#*# Please wait...     ...a while...          #*#*#";
	echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "";
	echo "Searching '$musicfilespath'...";
	find "$musicfilespath" -nowarn -type f -iname "*.mp3" -or -iname "*.mpeg" -or -iname "*.ogg" -or -iname "*.wav" -or -iname "*.aac" -or -iname "*.aacp" -or -iname "*.flac" > "$tpath/temp.lst";
	read -r FIRSTLINE < "$tpath/temp.lst"
	if [ "$FIRSTLINE" == "" ]
	then
		echo "No music was found in that location.";
		musicfilespath="";
	else
		echo $FIRSTLINE;
	fi
	echo "";
done
echo "musicfilespath=$musicfilespath" >> "$tpath/installsc.dat";


function pdht()
{
	echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*# Downloading tools. *#*#*#*#*#*#*#*##*#*#**#*#*#";
	echo "#*#*# Please be patient. *#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*# Thank you!         *#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
}

if [ -d "$installdir" ]
then
	rm -R "$installdir/*";
	rmdir $installdir;
fi
mkdir $installdir;
cd $installdir;

trap trapca INT
function trapca()
{
	rm sc_trans_linux.tar.gz;
	rm sc_serv2_linux.tar.gz;
	rm startstopsc.zip;
	rm winamp_demo.mp3;
	rm winamp30sec12-14-09.mp3;
	rm 091116113336_winamp111309.mp3;
	cd ..
	rmdir $installdir;
	trapc
}


pdht
wget -O091116113336_winamp111309.mp3 http://o.aolcdn.com/art/winamp/promote/091116113336_winamp111309.mp3
while [ ! -f "091116113336_winamp111309.mp3" ]
do
	echo "Downloading...";
	sleep 1;
done

pdht
wget -Owinamp30sec12-14-09.mp3 http://o.aolcdn.com/art/winamp/promote/winamp30sec12-14-09.mp3
while [ ! -f "winamp30sec12-14-09.mp3" ]
do
	echo "Downloading...";
	sleep 1;
done

pdht
wget -Owinamp_demo.mp3 http://o.aolcdn.com/art/winamp/promote/winamp_demo.mp3
while [ ! -f "winamp_demo.mp3" ]
do
	echo "Downloading...";
	sleep 1;
done

pdht
#wget -Ostartstopsc.zip http://bogproghome.hopto.org/startstopsc.zip
wget -Ostartstopsc.zip http://forums.winamp.com/attachment.php?attachmentid=48935&d=1309240641
while [ ! -f "startstopsc.zip" ]
do
	echo "Downloading...";
	sleep 1;
done
pdht
wget -Osc_serv2_linux.tar.gz $dserv
pdht
wget -Osc_trans_linux.tar.gz $dtrans

function putt()
{
	echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*# Unpacking tools.   *#*#*#*#*#*#*#*##*#*#**#*#*#";
	echo "#*#*# Please be patient. *#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*# Thank you!         *#*#*#*#*#*#*#*#*#*#*#*#*#*#";
	echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
}


putt
unzip -u startstopsc.zip
while [ ! -f "stop.sh" ]
do
	echo "Extracting...";
	sleep 1;
done
echo "'startstopsc.zip' unpacked.";
echo "";
putt
tar -xzf sc_serv2_linux.tar.gz
echo "'sc_serv2_linux.tar.gz' unpacked.";
echo "";
putt
tar -xzf sc_trans_linux.tar.gz
echo "'sc_trans_linux.tar.gz' unpacked.";
echo "";
chmod 755 *.sh

echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "#*#*# Performing clean-up. *#*#*#*#*#*#*##*#*#**#*#*#";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
rm startstopsc.zip
rm sc_serv2_linux.tar.gz
rm sc_trans_linux.tar.gz
rm -R *.conf
echo "";

echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "#*#*# Creating configuration files. #*#*#*#*#*#*#*#*#";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
mkdir "$installpath/advertisements";
mv "$installpath/music/shoutcast.mp3" "$installpath/advertisements/."
mv "091116113336_winamp111309.mp3" "$installpath/advertisements/."
mv "winamp30sec12-14-09.mp3" "$installpath/advertisements/."
mv "winamp_demo.mp3" "$installpath/advertisements/."
if [ "$FIRSTLINE" == "" -o ! -f "$tpath/temp.lst" ]
then
	echo "$installpath/advertisements/shoutcast.mp3" > "$installpath/playlist.lst";
	echo "$installpath/advertisements/091116113336_winamp111309.mp3" >> "$installpath/playlist.lst";
	echo "$installpath/advertisements/winamp30sec12-14-09.mp3" >> "$installpath/playlist.lst";
	echo "$installpath/advertisements/winamp_demo.mp3" >> "$installpath/playlist.lst";
	echo "" >> "$installpath/playlist.lst";
else
	mv "$tpath/temp.lst" "$installpath/playlist.lst";
fi

servconffile="$installpath/sc_serv.conf";
transconffile="$installpath/sc_trans.conf";
crossdomainfile="$installpath/crossdomain.xml";
calendarfile="$installpath/calendar.xml";

echo ";DNAS configuration file built with thinktink's SHOUTcast installation linux script!" > $servconffile;
echo ";Transcoder configuration file built with thinktink's SHOUTcast installation linux script!" > $transconffile;
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" > $calendarfile;
echo "<!--Calendar configuration file built with thinktink's SHOUTcast installation linux script!-->" >> $calendarfile;
echo "" >> $servconffile;
echo "" >> $transconffile;

echo "password=$password" >> $servconffile;
echo "adminpassword=$adminpassword" >> $servconffile;
echo "flashpolicyfile=$installpath/crossdomain.xml" >> $servconffile;
echo "portbase=$portbase" >> $servconffile;
echo "requirestreamconfigs=1" >> $servconffile;
echo "screenlog=0" >> $servconffile;
echo "logfile=$installpath/logs/sc_serv.log" >> $servconffile;
echo "w3clog=$installpath/logs/sc_w3c.log" >> $servconffile;
echo "banfile=$installpath/sc_serv.ban" >> $servconffile;
echo "ripfile=$installpath/sc_serv.rip" >> $servconffile;
echo "maxuser=$maxlisteners" >> $servconffile;
if [ "$authhash" == "" ]
then
	echo "publicserver=never" >> $servconffile;
else
	echo "publicserver=default" >> $servconffile;
fi
echo "" >> $servconffile;
echo "streamid_1=1" >> $servconffile;
echo "streampath_1=/listen1" >> $servconffile;
if [ "$authhash" != "" ]
then
	echo "streamauthhash_1=$authhash" >> $servconffile;
fi
echo "" >> $servconffile;



echo "streamtitle=$streamtitle" >> $transconffile;
echo "streamurl=$streamurl" >> $transconffile;
echo "genre=$genre" >> $transconffile;
echo "adminport=$transadminport" >> $transconffile;
echo "adminpassword=$adminpassword" >> $transconffile;
echo "adminuser=admin" >> $transconffile;
echo "vuimagedirectory=$installpath/vuimages/" >> $transconffile;
echo "vuimagesuffix=png" >> $transconffile;
echo "vuimagemimetype=image/png" >> $transconffile;
echo "flashpolicyfile=$installpath/crossdomain.xml" >> $transconffile;
echo "password=$password" >> $transconffile;
if [ $mpegunlock != 0 ]
then
	echo "unlockkeyname=$mpegunlockname" >> $transconffile;
	echo "unlockkeycode=$mpegunlockcode" >> $transconffile;
fi
echo "screenlog=0" >> $transconffile;
echo "logfile=$installpath/logs/sc_trans.log" >> $transconffile;
echo "public=$public" >> $transconffile;
echo "playlistfile=$installpath/playlist.lst" >> $transconffile;
echo "calendarfile=$installpath/calendar.xml" >> $transconffile;
echo "calendarrewrite=1" >> $transconffile;
echo "djport=$djport" >> $transconffile;
echo "djport2=$dj2port" >> $transconffile;
echo "shuffle=1" >> $transconffile;
echo "xfade=7" >> $transconffile;
echo "xfadethreshold=15" >> $transconffile;
echo "" >> $transconffile;
if [ "$djname" != "" ]
then
	echo "djlogin_1=$djname" >> $transconffile;
	echo "djpassword_1=$djpassword" >> $transconffile;
	echo "djpriority_1=1" >> $transconffile;
	echo "" >> $transconffile;
fi
echo "endpointname_1=endpoint0" >> $transconffile;
echo "outprotocol_1=3" >> $transconffile;
echo "serverip_1=127.0.0.1" >> $transconffile;
echo "serverport_1=$portbase" >> $transconffile;
echo "uvoxstreamid_1=1" >> $transconffile;
echo "uvoxuserid_1=admin" >> $transconffile;
echo "uvoxauth_1=$password" >> $transconffile;
echo "bitrate_1=96000" >> $transconffile;
echo "samplerate_1=44100" >> $transconffile;
echo "channels_1=2" >> $transconffile;
if [ $mpegunlock == 1 ]
then
	echo "encoder_1=mp3" >> $transconffile;
	echo "mp3quality_1=0" >> $transconffile;
	echo "mp3mode_1=0" >> $transconffile;
else
	echo "encoder_1=aacp" >> $transconffile;
fi
echo "" >> $transconffile;

echo "<eventlist>" >> $calendarfile;
if [ "$djname" != "" ]
then
	echo "	<event type=\"dj\">" >> $calendarfile;
	echo "		<dj archive=\"inherit\">$djname</dj>" >> $calendarfile;
	echo "		<calendar />" >> $calendarfile;
	echo "	</event>" >> $calendarfile;
fi
echo "</eventlist>" >> $calendarfile;
echo "" >> $calendarfile;


echo "<?xml version=\"1.0\"?>" > $crossdomainfile;
echo "<!--Crossdomain file built with thinktink's SHOUTcast installation linux script!-->" >> $crossdomainfile;
echo "<!DOCTYPE cross-domain-policy SYSTEM \"http://www.macromedia.com/xml/dtds/cross-domain-policy.dtd\">" >> $crossdomainfile;
echo "<cross-domain-policy>" >> $crossdomainfile;
echo "	<site-control permitted-cross-domain-policies=\"master-only\"/>" >> $crossdomainfile;
echo "	<allow-access-from domain=\"*\" to-ports=\"1024-65534\"/>" >> $crossdomainfile;
echo "</cross-domain-policy>" >> $crossdomainfile;
echo "" >> $crossdomainfile;
echo "";

echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "#*#*# Linking control scripts for easier access. *#*#";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
cd "$tpath"
ln -s "$installpath/start.sh" "start.sh"
ln -s "$installpath/stop.sh" "stop.sh"
echo "";

echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
echo "#*#*# Starting SHOUTcast2 tools.   Enjoy! #*#*#*#*#*#";
echo "#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#";
./start.sh
echo "done=done" >> "$tpath/installsc.dat";
echo "";
