#!/bin/bash
#
#ON_USER=crolinx
ON_USER=$(echo ~ | awk -F'/' '{ print $1 $2 $3 }' | sed 's/home//g')
SRCPATH=/home/$ON_USER/src
SCPPATH=/home/$ON_USER/scripts
MRGPATH=/home/$ON_USER/crolinx/merge
SCPVER="0.5.4-7"
#
echo "****************************************************************"
echo " Updater script for CroLinX                                     "
echo " Tested on Debian and Ubuntu, will probably work on others.     "
echo "                                                                "
echo " Mr.AtiX, CROATIA Network Group, CroNet                         "
echo " http://croatia-network.eu                                      "
echo "                                                                "
echo " version: $SCPVER                                               "
echo "****************************************************************"
echo ""

# check req: bzr is present
  if [ -f /usr/bin/bzr ]; then
                echo "Mirroring tool found [OK]"
        else
                echo "Mirroring tool not found, installing..."
                sudo apt-get -y install bzr
  fi

# download/mirror changes
echo "Downloading last version..."
echo ""
	cd /home/$ON_USER
	bzr branch lp:crolinx
		if [ ! -d scripts ] && [ ! -L scripts ]; then
		  ln -s crolinx/scripts scripts
		fi
		if [ ! -d src ] && [ ! -L src ]; then
		  ln -s crolinx/src src
		fi
		if [ -f merge/* ]; then echo "found files to merge, moving out"
		  mv -fv ./merge/* $MRGPATH
		  echo ""
		fi

# todo: check installed vs. repo version
# if [ $SCPVER < instver=$(cat $SCPPATH/update.sh | grep "SCPVER=")]; then cp ... && echo "updating itself, restart" | done && exec $SCPPATH/update.sh; fi

# todo: check is update running from different location; $PWD=$SCPPATH ?
		if [ -f ./update.sh ]; then # overwrite with actual
		  echo "Updating the CroLinX update-script..."
		  echo "Please run it again!"
		  echo ""
		cp -f /home/$ON_USER/crolinx/update.sh ./
		  chmod +x ./update.sh
		fi
echo "Done!"
echo "Look in "$SCPPATH" for new scripts"
                echo "or check "$MRGPATH" for changed/updated configuration files."
